require_relative 'super/piece'
require_relative 'super/sliding_piece'

class Bishop < SlidingPiece
  DELTAS = [
    [ 1,  1],
    [ 1, -1],
    [-1, -1],
    [-1,  1],
  ]

  def to_s
    color == :W ? "\u2657" : "\u265D"
  end
end
