require_relative 'super/piece'
require_relative 'super/stepping_piece'

class King < SteppingPiece
  DELTAS = [
    [ 1,  1],
    [ 1,  0],
    [ 1, -1],
    [ 0, -1],
    [-1, -1],
    [-1,  0],
    [-1,  1],
    [ 0,  1],
  ]

  def to_s
    color == :W ? "\u2654" : "\u265A"
  end
end
