require_relative 'super/piece'
require_relative 'super/stepping_piece'

class Knight < SteppingPiece
  DELTAS = [
    [-2, -1],
    [-2,  1],
    [-1, -2],
    [-1,  2],
    [ 1, -2],
    [ 1,  2],
    [ 2, -1],
    [ 2,  1]
  ]

  def to_s
    color == :W ? "\u2658" : "\u265E"
  end
end
