require_relative 'super/piece'
require_relative 'super/sliding_piece'

class Queen < SlidingPiece
  DELTAS = [
    [ 1,  1],
    [ 1,  0],
    [ 1, -1],
    [ 0, -1],
    [-1, -1],
    [-1,  0],
    [-1,  1],
    [ 0,  1],
  ]

  def to_s
    color == :W ? "\u2655" : "\u265B"
  end
end
