require_relative 'super/piece'
require_relative 'super/sliding_piece'

class Rook < SlidingPiece
  DELTAS = [
    [ 1,  0],
    [ 0, -1],
    [-1,  0],
    [ 0,  1],
  ]

  def to_s
    color == :W ? "\u2656" : "\u265C"
  end
end
